# RDSHostPool Class

### NAMESPACE

RASAdminEngine.Core.OutputModels

### DESCRIPTION

RDS Host Pool

### INHERITED FROM

[RASSerilazableObj](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/types/RASSerilazableObj.html)⇒[RASListObj](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/types/RASListObj.html)⇒RDSHostPool

### INTERFACES

* ISerializable
* IComparable

### PUBLIC PROPERTIES

| Type                                                                                                                                                          | Name                                | Description                                                                                                                                      |                                                                                                                                |
| ------------------------------------------------------------------------------------------------------------------------------------------------------------- | ----------------------------------- | ------------------------------------------------------------------------------------------------------------------------------------------------ | ------------------------------------------------------------------------------------------------------------------------------ |
| String                                                                                                                                                        | AdminCreate                         | Inherited from [RASListObj](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/types/RASListObj.html) |                                                                                                                                |
| String                                                                                                                                                        | AdminLastMod                        | Inherited from [RASListObj](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/types/RASListObj.html) |                                                                                                                                |
| Boolean                                                                                                                                                       | Autoscale                           |                                                                                                                                                  | Whether the RD session hosts are based on a template or not.                                                                   |
| String                                                                                                                                                        | Description                         |                                                                                                                                                  | Description of the RDS Host Pool.                                                                                              |
| UInt32                                                                                                                                                        | DrainRemainsBelowSec                |                                                                                                                                                  | Drain and unassign servers from host pool when workload remains below the specified level for the specified time (in seconds). |
| Boolean                                                                                                                                                       | Enabled                             |                                                                                                                                                  | Whether the RDS Host Pool is enabled or not.                                                                                   |
| UInt32                                                                                                                                                        | Id                                  |                                                                                                                                                  |                                                                                                                                |
| Boolean                                                                                                                                                       | InheritDefaultAgentSettings         |                                                                                                                                                  | If true, default agent settings will be inherited.                                                                             |
| Boolean                                                                                                                                                       | InheritDefaultAppPackageSettings    |                                                                                                                                                  | If true, default app package settings will be inherited.                                                                       |
| Boolean                                                                                                                                                       | InheritDefaultDesktopAccessSettings |                                                                                                                                                  | If true, default desktop access settings will be inherited.                                                                    |
| Boolean                                                                                                                                                       | InheritDefaultPrinterSettings       |                                                                                                                                                  | If true, default printer settings will be inherited.                                                                           |
| Boolean                                                                                                                                                       | InheritDefaultUserProfileSettings   |                                                                                                                                                  | If true, default User Profile settings will be inherited.                                                                      |
| UInt32                                                                                                                                                        | MaxServersFromTemplate              |                                                                                                                                                  | Max number of servers to be added to the host pool from the template.                                                          |
| UInt32                                                                                                                                                        | MinServersFromTemplate              |                                                                                                                                                  | Min number of servers to be added to the host pool from the template.                                                          |
| String                                                                                                                                                        | Name                                |                                                                                                                                                  | RDS Host Pool name.                                                                                                            |
| UInt32                                                                                                                                                        | RASTemplateId                       |                                                                                                                                                  | The RDSH RAS Template ID.                                                                                                      |
| Nullable\<UInt32>                                                                                                                                             | RASTemplateVersionId                |                                                                                                                                                  | The RDSH RAS Template Version ID.                                                                                              |
| [RDSDefaultSettings](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/types/RDSDefaultSettings.html)             | RDSDefSettings                      |                                                                                                                                                  | The RDS Settings.                                                                                                              |
| List\<UInt32>                                                                                                                                                 | RDSIds                              |                                                                                                                                                  | The Ids of the RDS that form part of the host pool.                                                                            |
| [BaseProvisioningSettings](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/types/BaseProvisioningSettings.html) | RDSProvisioningSettings             |                                                                                                                                                  | Specifies the 'Provisioning' object.                                                                                           |
| Boolean                                                                                                                                                       | RemoveServersAfterDrainAndPowerOff  |                                                                                                                                                  | Remove servers from host pool after drain and power off.                                                                       |
| UInt32                                                                                                                                                        | ServersToAddPerRequest              |                                                                                                                                                  | Number of servers to be added to the host pool per request.                                                                    |
| UInt32                                                                                                                                                        | SiteId                              |                                                                                                                                                  | ID of the site.                                                                                                                |
| DateTime                                                                                                                                                      | TimeCreate                          | Inherited from [RASListObj](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/types/RASListObj.html) |                                                                                                                                |
| DateTime                                                                                                                                                      | TimeLastMod                         | Inherited from [RASListObj](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/types/RASListObj.html) |                                                                                                                                |
| UInt32                                                                                                                                                        | WorkLoadThreshold                   |                                                                                                                                                  | Send a request to the template when the threshold is above the specified value (%).                                            |
| UInt32                                                                                                                                                        | WorkLoadToDrain                     |                                                                                                                                                  | Drain and unassign servers from host pool when workload is below the specified value (%).                                      |

### PUBLIC METHODS

| Type    | Name                   | Description                                                                                                                                                    |   |
| ------- | ---------------------- | -------------------------------------------------------------------------------------------------------------------------------------------------------------- | - |
| Int32   | CompareTo (Object obj) | Inherited from [RASSerilazableObj](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/types/RASSerilazableObj.html) |   |
| Boolean | Equals (Object obj)    | Inherited from [RASSerilazableObj](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/types/RASSerilazableObj.html) |   |
| Int32   | GetHashCode ()         | Inherited from [RASSerilazableObj](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/types/RASSerilazableObj.html) |   |
| Type    | GetType ()             |                                                                                                                                                                |   |
| String  | ToString ()            |                                                                                                                                                                |   |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.parallels.com/landing/ras-powershell-api-guide/v19/parallels-ras-powershell-admin-module/class/rdshostpool-class.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
